// Garden Gnome Software - Skin
// Pano2VR pro 4.5.1/10655
// Filename: Hotel Mousai - HTML5.ggsk
// Generated mié feb 4 23:25:55 2015

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._preloader=document.createElement('div');
		this._preloader.ggId="preloader";
		this._preloader.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._preloader.ggVisible=true;
		this._preloader.className='ggskin ggskin_container';
		this._preloader.ggType='container';
		this._preloader.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-125 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-55 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -125px;';
		hs+='top:  -55px;';
		hs+='width: 253px;';
		hs+='height: 112px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._preloader.setAttribute('style',hs);
		this._cajapreloader=document.createElement('div');
		this._cajapreloader.ggId="cajapreloader";
		this._cajapreloader.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._cajapreloader.ggVisible=true;
		this._cajapreloader.className='ggskin ggskin_image';
		this._cajapreloader.ggType='image';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 247px;';
		hs+='height: 110px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._cajapreloader.setAttribute('style',hs);
		this._cajapreloader__img=document.createElement('img');
		this._cajapreloader__img.className='ggskin ggskin_image';
		this._cajapreloader__img.setAttribute('src',basePath + 'images/cajapreloader.png');
		this._cajapreloader__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._cajapreloader__img.className='ggskin ggskin_image';
		this._cajapreloader__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._cajapreloader__img);
		this._cajapreloader.appendChild(this._cajapreloader__img);
		this._preloader.appendChild(this._cajapreloader);
		this._loading_text=document.createElement('div');
		this._loading_text__text=document.createElement('div');
		this._loading_text.className='ggskin ggskin_textdiv';
		this._loading_text.ggTextDiv=this._loading_text__text;
		this._loading_text.ggId="loading text";
		this._loading_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_text.ggVisible=true;
		this._loading_text.className='ggskin ggskin_text';
		this._loading_text.ggType='text';
		hs ='position:absolute;';
		hs+='left: 23px;';
		hs+='top:  42px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._loading_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._loading_text__text.setAttribute('style',hs);
		this._loading_text.ggUpdateText=function() {
			var hs="<b>Cargando... "+(me.player.getPercentLoaded()*100.0).toFixed(0)+"%<\/b>";
			if (hs!=this.ggText) {
				this.ggText=hs;
				this.ggTextDiv.innerHTML=hs;
			}
		}
		this._loading_text.ggUpdateText();
		this._loading_text.appendChild(this._loading_text__text);
		this._preloader.appendChild(this._loading_text);
		this._loading_bar=document.createElement('div');
		this._loading_bar.ggId="loading bar";
		this._loading_bar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_bar.ggVisible=true;
		this._loading_bar.className='ggskin ggskin_rectangle';
		this._loading_bar.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 22px;';
		hs+='top:  67px;';
		hs+='width: 198px;';
		hs+='height: 10px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #84754e;';
		hs+='border: 2px solid #000000;';
		this._loading_bar.setAttribute('style',hs);
		this._preloader.appendChild(this._loading_bar);
		this._loading_close=document.createElement('div');
		this._loading_close.ggId="loading close";
		this._loading_close.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_close.ggVisible=true;
		this._loading_close.className='ggskin ggskin_image';
		this._loading_close.ggType='image';
		hs ='position:absolute;';
		hs+='left: 205px;';
		hs+='top:  15px;';
		hs+='width: 24px;';
		hs+='height: 24px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._loading_close.setAttribute('style',hs);
		this._loading_close__img=document.createElement('img');
		this._loading_close__img.className='ggskin ggskin_image';
		this._loading_close__img.setAttribute('src',basePath + 'images/loading_close.png');
		this._loading_close__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._loading_close__img.className='ggskin ggskin_image';
		this._loading_close__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._loading_close__img);
		this._loading_close.appendChild(this._loading_close__img);
		this._loading_close.onclick=function () {
			me._preloader.style[domTransition]='none';
			me._preloader.style.visibility='hidden';
			me._preloader.ggVisible=false;
		}
		this._preloader.appendChild(this._loading_close);
		this.divSkin.appendChild(this._preloader);
		this._creditos=document.createElement('div');
		this._creditos.ggId="creditos";
		this._creditos.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._creditos.ggVisible=false;
		this._creditos.className='ggskin ggskin_container';
		this._creditos.ggType='container';
		this._creditos.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-150 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-65 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -150px;';
		hs+='top:  -65px;';
		hs+='width: 300px;';
		hs+='height: 129px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._creditos.setAttribute('style',hs);
		this._caja=document.createElement('div');
		this._caja.ggId="caja";
		this._caja.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._caja.ggVisible=true;
		this._caja.className='ggskin ggskin_image';
		this._caja.ggType='image';
		hs ='position:absolute;';
		hs+='left: -3px;';
		hs+='top:  -4px;';
		hs+='width: 307px;';
		hs+='height: 135px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._caja.setAttribute('style',hs);
		this._caja__img=document.createElement('img');
		this._caja__img.className='ggskin ggskin_image';
		this._caja__img.setAttribute('src',basePath + 'images/caja.png');
		this._caja__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._caja__img.className='ggskin ggskin_image';
		this._caja__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._caja__img);
		this._caja.appendChild(this._caja__img);
		this._creditos.appendChild(this._caja);
		this._textocreditos=document.createElement('div');
		this._textocreditos__text=document.createElement('div');
		this._textocreditos.className='ggskin ggskin_textdiv';
		this._textocreditos.ggTextDiv=this._textocreditos__text;
		this._textocreditos.ggId="textocreditos";
		this._textocreditos.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._textocreditos.ggVisible=true;
		this._textocreditos.className='ggskin ggskin_text';
		this._textocreditos.ggType='text';
		hs ='position:absolute;';
		hs+='left: 120px;';
		hs+='top:  23px;';
		hs+='width: 145px;';
		hs+='height: 89px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._textocreditos.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 145px;';
		hs+='height: 89px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._textocreditos__text.setAttribute('style',hs);
		this._textocreditos__text.innerHTML="Desarrollado por <br><br><b><a href=\"http:\/\/holoesferica.com\">HOLOESF\xc9RICA<\/a><\/b><br><br>Fotograf\xeda Interactiva";
		this._textocreditos.appendChild(this._textocreditos__text);
		this._creditos.appendChild(this._textocreditos);
		this._creditos_close=document.createElement('div');
		this._creditos_close.ggId="creditos close";
		this._creditos_close.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._creditos_close.ggVisible=true;
		this._creditos_close.className='ggskin ggskin_image';
		this._creditos_close.ggType='image';
		hs ='position:absolute;';
		hs+='left: 264px;';
		hs+='top:  6px;';
		hs+='width: 24px;';
		hs+='height: 24px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._creditos_close.setAttribute('style',hs);
		this._creditos_close__img=document.createElement('img');
		this._creditos_close__img.className='ggskin ggskin_image';
		this._creditos_close__img.setAttribute('src',basePath + 'images/creditos_close.png');
		this._creditos_close__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._creditos_close__img.className='ggskin ggskin_image';
		this._creditos_close__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._creditos_close__img);
		this._creditos_close.appendChild(this._creditos_close__img);
		this._creditos_close.onclick=function () {
			me._creditos.style[domTransition]='none';
			me._creditos.style.visibility='hidden';
			me._creditos.ggVisible=false;
		}
		this._creditos.appendChild(this._creditos_close);
		this._image_23=document.createElement('div');
		this._image_23.ggId="Image 23";
		this._image_23.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_23.ggVisible=true;
		this._image_23.className='ggskin ggskin_image';
		this._image_23.ggType='image';
		hs ='position:absolute;';
		hs+='left: 18px;';
		hs+='top:  8px;';
		hs+='width: 92px;';
		hs+='height: 110px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_23.setAttribute('style',hs);
		this._image_23__img=document.createElement('img');
		this._image_23__img.className='ggskin ggskin_image';
		this._image_23__img.setAttribute('src',basePath + 'images/image_23.png');
		this._image_23__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_23__img.className='ggskin ggskin_image';
		this._image_23__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_23__img);
		this._image_23.appendChild(this._image_23__img);
		this._image_23.onclick=function () {
			me.player.openUrl("http:\/\/holoesferica.com","_blank");
		}
		this._creditos.appendChild(this._image_23);
		this.divSkin.appendChild(this._creditos);
		this._toolbar=document.createElement('div');
		this._toolbar.ggId="toolbar";
		this._toolbar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._toolbar.ggVisible=true;
		this._toolbar.className='ggskin ggskin_container';
		this._toolbar.ggType='container';
		this._toolbar.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-61 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -61px;';
		hs+='top:  113px;';
		hs+='width: 58px;';
		hs+='height: 90px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._toolbar.setAttribute('style',hs);
		this._toolbarhtml5=document.createElement('div');
		this._toolbarhtml5.ggId="toolbarHTML5";
		this._toolbarhtml5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._toolbarhtml5.ggVisible=true;
		this._toolbarhtml5.className='ggskin ggskin_container';
		this._toolbarhtml5.ggType='container';
		this._toolbarhtml5.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-13 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -13px;';
		hs+='top:  4px;';
		hs+='width: 41px;';
		hs+='height: 63px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._toolbarhtml5.setAttribute('style',hs);
		this._controleshtml5=document.createElement('div');
		this._controleshtml5.ggId="controlesHTML5";
		this._controleshtml5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._controleshtml5.ggVisible=true;
		this._controleshtml5.className='ggskin ggskin_image';
		this._controleshtml5.ggType='image';
		this._controleshtml5.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-35 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -35px;';
		hs+='top:  -1px;';
		hs+='width: 33px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._controleshtml5.setAttribute('style',hs);
		this._controleshtml5__img=document.createElement('img');
		this._controleshtml5__img.className='ggskin ggskin_image';
		this._controleshtml5__img.setAttribute('src',basePath + 'images/controleshtml5.png');
		this._controleshtml5__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._controleshtml5__img.className='ggskin ggskin_image';
		this._controleshtml5__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._controleshtml5__img);
		this._controleshtml5.appendChild(this._controleshtml5__img);
		this._toolbarhtml5.appendChild(this._controleshtml5);
		this._modogyro=document.createElement('div');
		this._modogyro.ggId="modoGyro";
		this._modogyro.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._modogyro.ggVisible=false;
		this._modogyro.className='ggskin ggskin_image';
		this._modogyro.ggType='image';
		this._modogyro.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-35 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -35px;';
		hs+='top:  30px;';
		hs+='width: 33px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._modogyro.setAttribute('style',hs);
		this._modogyro__img=document.createElement('img');
		this._modogyro__img.className='ggskin ggskin_image';
		this._modogyro__img.setAttribute('src',basePath + 'images/modogyro.png');
		this._modogyro__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._modogyro__img.className='ggskin ggskin_image';
		this._modogyro__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._modogyro__img);
		this._modogyro.appendChild(this._modogyro__img);
		this._toolbarhtml5.appendChild(this._modogyro);
		this._modotouch=document.createElement('div');
		this._modotouch.ggId="modoTouch";
		this._modotouch.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._modotouch.ggVisible=true;
		this._modotouch.className='ggskin ggskin_image';
		this._modotouch.ggType='image';
		this._modotouch.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-35 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -35px;';
		hs+='top:  30px;';
		hs+='width: 33px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._modotouch.setAttribute('style',hs);
		this._modotouch__img=document.createElement('img');
		this._modotouch__img.className='ggskin ggskin_image';
		this._modotouch__img.setAttribute('src',basePath + 'images/modotouch.png');
		this._modotouch__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._modotouch__img.className='ggskin ggskin_image';
		this._modotouch__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._modotouch__img);
		this._modotouch.appendChild(this._modotouch__img);
		this._toolbarhtml5.appendChild(this._modotouch);
		this._actuadormodo=document.createElement('div');
		this._actuadormodo.ggId="actuadorModo";
		this._actuadormodo.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._actuadormodo.ggVisible=true;
		this._actuadormodo.className='ggskin ggskin_rectangle';
		this._actuadormodo.ggType='rectangle';
		this._actuadormodo.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-34 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -34px;';
		hs+='top:  30px;';
		hs+='width: 34px;';
		hs+='height: 34px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0.005;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		this._actuadormodo.setAttribute('style',hs);
		this._actuadormodo.onclick=function () {
			flag=(me._modogyro.style.visibility=='hidden');
			me._modogyro.style[domTransition]='none';
			me._modogyro.style.visibility=flag?'inherit':'hidden';
			me._modogyro.ggVisible=flag;
			flag=(me._modotouch.style.visibility=='hidden');
			me._modotouch.style[domTransition]='none';
			me._modotouch.style.visibility=flag?'inherit':'hidden';
			me._modotouch.ggVisible=flag;
			gyro.toggle();
		}
		this._toolbarhtml5.appendChild(this._actuadormodo);
		this._acercadehtml5=document.createElement('div');
		this._acercadehtml5.ggId="acercadeHTML5";
		this._acercadehtml5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._acercadehtml5.ggVisible=true;
		this._acercadehtml5.className='ggskin ggskin_rectangle';
		this._acercadehtml5.ggType='rectangle';
		this._acercadehtml5.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-34 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -34px;';
		hs+='top:  -6px;';
		hs+='width: 34px;';
		hs+='height: 34px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0.005;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		this._acercadehtml5.setAttribute('style',hs);
		this._acercadehtml5.onclick=function () {
			flag=(me._creditos.style.visibility=='hidden');
			me._creditos.style[domTransition]='none';
			me._creditos.style.visibility=flag?'inherit':'hidden';
			me._creditos.ggVisible=flag;
		}
		this._toolbarhtml5.appendChild(this._acercadehtml5);
		this._toolbar.appendChild(this._toolbarhtml5);
		this.divSkin.appendChild(this._toolbar);
		this._menuhtml5dos=document.createElement('div');
		this._menuhtml5dos.ggId="menuHTML5DOS";
		this._menuhtml5dos.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menuhtml5dos.ggVisible=true;
		this._menuhtml5dos.className='ggskin ggskin_container';
		this._menuhtml5dos.ggType='container';
		this._menuhtml5dos.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-100 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -100px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 198px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._menuhtml5dos.setAttribute('style',hs);
		this._menu14=document.createElement('div');
		this._menu14.ggId="menu1.4";
		this._menu14.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu14.ggVisible=false;
		this._menu14.className='ggskin ggskin_container';
		this._menu14.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 15px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._menu14.setAttribute('style',hs);
		this._fondo3=document.createElement('div');
		this._fondo3.ggId="fondo";
		this._fondo3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fondo3.ggVisible=true;
		this._fondo3.className='ggskin ggskin_rectangle';
		this._fondo3.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 0px solid #000000;';
		this._fondo3.setAttribute('style',hs);
		this._menu14.appendChild(this._fondo3);
		this._mainview=document.createElement('div');
		this._mainview__text=document.createElement('div');
		this._mainview.className='ggskin ggskin_textdiv';
		this._mainview.ggTextDiv=this._mainview__text;
		this._mainview.ggId="mainView";
		this._mainview.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mainview.ggVisible=true;
		this._mainview.className='ggskin ggskin_text';
		this._mainview.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  126px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._mainview.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._mainview__text.setAttribute('style',hs);
		this._mainview__text.innerHTML="Main View";
		this._mainview.appendChild(this._mainview__text);
		this._mainview.onclick=function () {
			me.player.openNext("{node1}","");
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu14.appendChild(this._mainview);
		this._outdoor=document.createElement('div');
		this._outdoor__text=document.createElement('div');
		this._outdoor.className='ggskin ggskin_textdiv';
		this._outdoor.ggTextDiv=this._outdoor__text;
		this._outdoor.ggId="outdoor";
		this._outdoor.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._outdoor.ggVisible=true;
		this._outdoor.className='ggskin ggskin_text';
		this._outdoor.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  126px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._outdoor.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._outdoor__text.setAttribute('style',hs);
		this._outdoor__text.innerHTML="Outdoor Play & Fitness";
		this._outdoor.appendChild(this._outdoor__text);
		this._outdoor.onclick=function () {
			me.player.openNext("{node12}","");
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu14.appendChild(this._outdoor);
		this._gym=document.createElement('div');
		this._gym__text=document.createElement('div');
		this._gym.className='ggskin ggskin_textdiv';
		this._gym.ggTextDiv=this._gym__text;
		this._gym.ggId="gym";
		this._gym.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gym.ggVisible=true;
		this._gym.className='ggskin ggskin_text';
		this._gym.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  106px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._gym.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._gym__text.setAttribute('style',hs);
		this._gym__text.innerHTML="The Gym";
		this._gym.appendChild(this._gym__text);
		this._gym.onclick=function () {
			me.player.openNext("{node10}","");
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu14.appendChild(this._gym);
		this._redroom=document.createElement('div');
		this._redroom__text=document.createElement('div');
		this._redroom.className='ggskin ggskin_textdiv';
		this._redroom.ggTextDiv=this._redroom__text;
		this._redroom.ggId="redRoom";
		this._redroom.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._redroom.ggVisible=true;
		this._redroom.className='ggskin ggskin_text';
		this._redroom.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  86px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._redroom.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._redroom__text.setAttribute('style',hs);
		this._redroom__text.innerHTML="The Red Room";
		this._redroom.appendChild(this._redroom__text);
		this._redroom.onclick=function () {
			me.player.openNext("{node11}","");
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu14.appendChild(this._redroom);
		this._orangedeck=document.createElement('div');
		this._orangedeck__text=document.createElement('div');
		this._orangedeck.className='ggskin ggskin_textdiv';
		this._orangedeck.ggTextDiv=this._orangedeck__text;
		this._orangedeck.ggId="orangeDeck";
		this._orangedeck.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._orangedeck.ggVisible=true;
		this._orangedeck.className='ggskin ggskin_text';
		this._orangedeck.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  66px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._orangedeck.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._orangedeck__text.setAttribute('style',hs);
		this._orangedeck__text.innerHTML="Orange Deck";
		this._orangedeck.appendChild(this._orangedeck__text);
		this._orangedeck.onclick=function () {
			me.player.openNext("{node9}","");
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu14.appendChild(this._orangedeck);
		this._hotellobby=document.createElement('div');
		this._hotellobby__text=document.createElement('div');
		this._hotellobby.className='ggskin ggskin_textdiv';
		this._hotellobby.ggTextDiv=this._hotellobby__text;
		this._hotellobby.ggId="hotelLobby";
		this._hotellobby.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hotellobby.ggVisible=true;
		this._hotellobby.className='ggskin ggskin_text';
		this._hotellobby.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  46px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._hotellobby.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._hotellobby__text.setAttribute('style',hs);
		this._hotellobby__text.innerHTML="Hotel Lobby";
		this._hotellobby.appendChild(this._hotellobby__text);
		this._hotellobby.onclick=function () {
			me.player.openNext("{node3}","");
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu14.appendChild(this._hotellobby);
		this._motorlobby=document.createElement('div');
		this._motorlobby__text=document.createElement('div');
		this._motorlobby.className='ggskin ggskin_textdiv';
		this._motorlobby.ggTextDiv=this._motorlobby__text;
		this._motorlobby.ggId="motorLobby";
		this._motorlobby.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._motorlobby.ggVisible=true;
		this._motorlobby.className='ggskin ggskin_text';
		this._motorlobby.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  26px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._motorlobby.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._motorlobby__text.setAttribute('style',hs);
		this._motorlobby__text.innerHTML="Motor Lobby";
		this._motorlobby.appendChild(this._motorlobby__text);
		this._motorlobby.onclick=function () {
			me.player.openNext("{node2}","");
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu14.appendChild(this._motorlobby);
		this._commonareas=document.createElement('div');
		this._commonareas__text=document.createElement('div');
		this._commonareas.className='ggskin ggskin_textdiv';
		this._commonareas.ggTextDiv=this._commonareas__text;
		this._commonareas.ggId="commonAreas";
		this._commonareas.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._commonareas.ggVisible=true;
		this._commonareas.className='ggskin ggskin_text';
		this._commonareas.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  5px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._commonareas.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._commonareas__text.setAttribute('style',hs);
		this._commonareas__text.innerHTML="<b>COMMON AREAS<\/b>";
		this._commonareas.appendChild(this._commonareas__text);
		this._commonareas.onclick=function () {
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
		}
		this._menu14.appendChild(this._commonareas);
		this._menuhtml5dos.appendChild(this._menu14);
		this._menu13=document.createElement('div');
		this._menu13.ggId="menu1.3";
		this._menu13.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu13.ggVisible=false;
		this._menu13.className='ggskin ggskin_container';
		this._menu13.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 15px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._menu13.setAttribute('style',hs);
		this._fondo2=document.createElement('div');
		this._fondo2.ggId="fondo";
		this._fondo2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fondo2.ggVisible=true;
		this._fondo2.className='ggskin ggskin_rectangle';
		this._fondo2.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 0px solid #000000;';
		this._fondo2.setAttribute('style',hs);
		this._menu13.appendChild(this._fondo2);
		this._couplessuite=document.createElement('div');
		this._couplessuite__text=document.createElement('div');
		this._couplessuite.className='ggskin ggskin_textdiv';
		this._couplessuite.ggTextDiv=this._couplessuite__text;
		this._couplessuite.ggId="couplesSuite";
		this._couplessuite.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._couplessuite.ggVisible=true;
		this._couplessuite.className='ggskin ggskin_text';
		this._couplessuite.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  86px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._couplessuite.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._couplessuite__text.setAttribute('style',hs);
		this._couplessuite__text.innerHTML="Couple's Suite";
		this._couplessuite.appendChild(this._couplessuite__text);
		this._couplessuite.onclick=function () {
			me.player.openNext("{node22}","");
			flag=(me._menu13.style.visibility=='hidden');
			me._menu13.style[domTransition]='none';
			me._menu13.style.visibility=flag?'inherit':'hidden';
			me._menu13.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu13.appendChild(this._couplessuite);
		this._therapysuite=document.createElement('div');
		this._therapysuite__text=document.createElement('div');
		this._therapysuite.className='ggskin ggskin_textdiv';
		this._therapysuite.ggTextDiv=this._therapysuite__text;
		this._therapysuite.ggId="therapySuite";
		this._therapysuite.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._therapysuite.ggVisible=true;
		this._therapysuite.className='ggskin ggskin_text';
		this._therapysuite.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  66px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._therapysuite.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._therapysuite__text.setAttribute('style',hs);
		this._therapysuite__text.innerHTML="Therapy Suite";
		this._therapysuite.appendChild(this._therapysuite__text);
		this._therapysuite.onclick=function () {
			me.player.openNext("{node20}","");
			flag=(me._menu13.style.visibility=='hidden');
			me._menu13.style[domTransition]='none';
			me._menu13.style.visibility=flag?'inherit':'hidden';
			me._menu13.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu13.appendChild(this._therapysuite);
		this._jacuzzi=document.createElement('div');
		this._jacuzzi__text=document.createElement('div');
		this._jacuzzi.className='ggskin ggskin_textdiv';
		this._jacuzzi.ggTextDiv=this._jacuzzi__text;
		this._jacuzzi.ggId="jacuzzi";
		this._jacuzzi.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._jacuzzi.ggVisible=true;
		this._jacuzzi.className='ggskin ggskin_text';
		this._jacuzzi.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  46px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._jacuzzi.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._jacuzzi__text.setAttribute('style',hs);
		this._jacuzzi__text.innerHTML="Jacuzzi";
		this._jacuzzi.appendChild(this._jacuzzi__text);
		this._jacuzzi.onclick=function () {
			me.player.openNext("{node21}","");
			flag=(me._menu13.style.visibility=='hidden');
			me._menu13.style[domTransition]='none';
			me._menu13.style.visibility=flag?'inherit':'hidden';
			me._menu13.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu13.appendChild(this._jacuzzi);
		this._lobby=document.createElement('div');
		this._lobby__text=document.createElement('div');
		this._lobby.className='ggskin ggskin_textdiv';
		this._lobby.ggTextDiv=this._lobby__text;
		this._lobby.ggId="lobby";
		this._lobby.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._lobby.ggVisible=true;
		this._lobby.className='ggskin ggskin_text';
		this._lobby.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  26px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._lobby.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._lobby__text.setAttribute('style',hs);
		this._lobby__text.innerHTML="Lobby";
		this._lobby.appendChild(this._lobby__text);
		this._lobby.onclick=function () {
			me.player.openNext("{node19}","");
			flag=(me._menu13.style.visibility=='hidden');
			me._menu13.style[domTransition]='none';
			me._menu13.style.visibility=flag?'inherit':'hidden';
			me._menu13.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu13.appendChild(this._lobby);
		this._spaimagine=document.createElement('div');
		this._spaimagine__text=document.createElement('div');
		this._spaimagine.className='ggskin ggskin_textdiv';
		this._spaimagine.ggTextDiv=this._spaimagine__text;
		this._spaimagine.ggId="spaImagine";
		this._spaimagine.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._spaimagine.ggVisible=true;
		this._spaimagine.className='ggskin ggskin_text';
		this._spaimagine.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  5px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._spaimagine.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._spaimagine__text.setAttribute('style',hs);
		this._spaimagine__text.innerHTML="<b>SPA IMAGINE<\/b>";
		this._spaimagine.appendChild(this._spaimagine__text);
		this._spaimagine.onclick=function () {
			flag=(me._menu13.style.visibility=='hidden');
			me._menu13.style[domTransition]='none';
			me._menu13.style.visibility=flag?'inherit':'hidden';
			me._menu13.ggVisible=flag;
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
		}
		this._menu13.appendChild(this._spaimagine);
		this._menuhtml5dos.appendChild(this._menu13);
		this._menu12=document.createElement('div');
		this._menu12.ggId="menu1.2";
		this._menu12.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu12.ggVisible=false;
		this._menu12.className='ggskin ggskin_container';
		this._menu12.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 15px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._menu12.setAttribute('style',hs);
		this._fondo1=document.createElement('div');
		this._fondo1.ggId="fondo";
		this._fondo1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fondo1.ggVisible=true;
		this._fondo1.className='ggskin ggskin_rectangle';
		this._fondo1.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 0px solid #000000;';
		this._fondo1.setAttribute('style',hs);
		this._menu12.appendChild(this._fondo1);
		this._terrace=document.createElement('div');
		this._terrace__text=document.createElement('div');
		this._terrace.className='ggskin ggskin_textdiv';
		this._terrace.ggTextDiv=this._terrace__text;
		this._terrace.ggId="terrace";
		this._terrace.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._terrace.ggVisible=true;
		this._terrace.className='ggskin ggskin_text';
		this._terrace.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  86px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._terrace.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._terrace__text.setAttribute('style',hs);
		this._terrace__text.innerHTML="The Terrace";
		this._terrace.appendChild(this._terrace__text);
		this._terrace.onclick=function () {
			me.player.openNext("{node8}","");
			flag=(me._menu12.style.visibility=='hidden');
			me._menu12.style[domTransition]='none';
			me._menu12.style.visibility=flag?'inherit':'hidden';
			me._menu12.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu12.appendChild(this._terrace);
		this._hiroshi=document.createElement('div');
		this._hiroshi__text=document.createElement('div');
		this._hiroshi.className='ggskin ggskin_textdiv';
		this._hiroshi.ggTextDiv=this._hiroshi__text;
		this._hiroshi.ggId="hiroshi";
		this._hiroshi.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hiroshi.ggVisible=true;
		this._hiroshi.className='ggskin ggskin_text';
		this._hiroshi.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  66px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._hiroshi.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._hiroshi__text.setAttribute('style',hs);
		this._hiroshi__text.innerHTML="Hiroshi Restaurant";
		this._hiroshi.appendChild(this._hiroshi__text);
		this._hiroshi.onclick=function () {
			me.player.openNext("{node5}","");
			flag=(me._menu12.style.visibility=='hidden');
			me._menu12.style[domTransition]='none';
			me._menu12.style.visibility=flag?'inherit':'hidden';
			me._menu12.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu12.appendChild(this._hiroshi);
		this._rooftopnight=document.createElement('div');
		this._rooftopnight__text=document.createElement('div');
		this._rooftopnight.className='ggskin ggskin_textdiv';
		this._rooftopnight.ggTextDiv=this._rooftopnight__text;
		this._rooftopnight.ggId="rooftopNight";
		this._rooftopnight.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rooftopnight.ggVisible=true;
		this._rooftopnight.className='ggskin ggskin_text';
		this._rooftopnight.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  46px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._rooftopnight.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._rooftopnight__text.setAttribute('style',hs);
		this._rooftopnight__text.innerHTML="The Rooftop by Night";
		this._rooftopnight.appendChild(this._rooftopnight__text);
		this._rooftopnight.onclick=function () {
			me.player.openNext("{node7}","");
			flag=(me._menu12.style.visibility=='hidden');
			me._menu12.style[domTransition]='none';
			me._menu12.style.visibility=flag?'inherit':'hidden';
			me._menu12.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu12.appendChild(this._rooftopnight);
		this._rooftopday=document.createElement('div');
		this._rooftopday__text=document.createElement('div');
		this._rooftopday.className='ggskin ggskin_textdiv';
		this._rooftopday.ggTextDiv=this._rooftopday__text;
		this._rooftopday.ggId="rooftopDay";
		this._rooftopday.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rooftopday.ggVisible=true;
		this._rooftopday.className='ggskin ggskin_text';
		this._rooftopday.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  26px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._rooftopday.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._rooftopday__text.setAttribute('style',hs);
		this._rooftopday__text.innerHTML="The Rooftop by Day";
		this._rooftopday.appendChild(this._rooftopday__text);
		this._rooftopday.onclick=function () {
			me.player.openNext("{node6}","");
			flag=(me._menu12.style.visibility=='hidden');
			me._menu12.style[domTransition]='none';
			me._menu12.style.visibility=flag?'inherit':'hidden';
			me._menu12.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu12.appendChild(this._rooftopday);
		this._flavors=document.createElement('div');
		this._flavors__text=document.createElement('div');
		this._flavors.className='ggskin ggskin_textdiv';
		this._flavors.ggTextDiv=this._flavors__text;
		this._flavors.ggId="flavors";
		this._flavors.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._flavors.ggVisible=true;
		this._flavors.className='ggskin ggskin_text';
		this._flavors.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  5px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._flavors.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._flavors__text.setAttribute('style',hs);
		this._flavors__text.innerHTML="<b>FLAVORS<\/b>";
		this._flavors.appendChild(this._flavors__text);
		this._flavors.onclick=function () {
			flag=(me._menu12.style.visibility=='hidden');
			me._menu12.style[domTransition]='none';
			me._menu12.style.visibility=flag?'inherit':'hidden';
			me._menu12.ggVisible=flag;
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
		}
		this._menu12.appendChild(this._flavors);
		this._menuhtml5dos.appendChild(this._menu12);
		this._menu11=document.createElement('div');
		this._menu11.ggId="menu1.1";
		this._menu11.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu11.ggVisible=false;
		this._menu11.className='ggskin ggskin_container';
		this._menu11.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 15px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._menu11.setAttribute('style',hs);
		this._fondo0=document.createElement('div');
		this._fondo0.ggId="fondo";
		this._fondo0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fondo0.ggVisible=true;
		this._fondo0.className='ggskin ggskin_rectangle';
		this._fondo0.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 0px solid #000000;';
		this._fondo0.setAttribute('style',hs);
		this._menu11.appendChild(this._fondo0);
		this._ultramousaisuite=document.createElement('div');
		this._ultramousaisuite__text=document.createElement('div');
		this._ultramousaisuite.className='ggskin ggskin_textdiv';
		this._ultramousaisuite.ggTextDiv=this._ultramousaisuite__text;
		this._ultramousaisuite.ggId="ultraMousaiSuite";
		this._ultramousaisuite.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ultramousaisuite.ggVisible=true;
		this._ultramousaisuite.className='ggskin ggskin_text';
		this._ultramousaisuite.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  46px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._ultramousaisuite.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._ultramousaisuite__text.setAttribute('style',hs);
		this._ultramousaisuite__text.innerHTML="Ultra Mousai Suite";
		this._ultramousaisuite.appendChild(this._ultramousaisuite__text);
		this._ultramousaisuite.onclick=function () {
			me.player.openNext("{node16}","");
			flag=(me._menu11.style.visibility=='hidden');
			me._menu11.style[domTransition]='none';
			me._menu11.style.visibility=flag?'inherit':'hidden';
			me._menu11.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu11.appendChild(this._ultramousaisuite);
		this._mousaijuniorsuite=document.createElement('div');
		this._mousaijuniorsuite__text=document.createElement('div');
		this._mousaijuniorsuite.className='ggskin ggskin_textdiv';
		this._mousaijuniorsuite.ggTextDiv=this._mousaijuniorsuite__text;
		this._mousaijuniorsuite.ggId="mousaiJuniorSuite";
		this._mousaijuniorsuite.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mousaijuniorsuite.ggVisible=true;
		this._mousaijuniorsuite.className='ggskin ggskin_text';
		this._mousaijuniorsuite.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  26px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._mousaijuniorsuite.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._mousaijuniorsuite__text.setAttribute('style',hs);
		this._mousaijuniorsuite__text.innerHTML="Mousai Junior Suite";
		this._mousaijuniorsuite.appendChild(this._mousaijuniorsuite__text);
		this._mousaijuniorsuite.onclick=function () {
			me.player.openNext("{node13}","");
			flag=(me._menu11.style.visibility=='hidden');
			me._menu11.style[domTransition]='none';
			me._menu11.style.visibility=flag?'inherit':'hidden';
			me._menu11.ggVisible=flag;
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='inherit';
			me._fondomenu.ggVisible=true;
		}
		this._menu11.appendChild(this._mousaijuniorsuite);
		this._areascomunes=document.createElement('div');
		this._areascomunes__text=document.createElement('div');
		this._areascomunes.className='ggskin ggskin_textdiv';
		this._areascomunes.ggTextDiv=this._areascomunes__text;
		this._areascomunes.ggId="areasComunes";
		this._areascomunes.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._areascomunes.ggVisible=true;
		this._areascomunes.className='ggskin ggskin_text';
		this._areascomunes.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  5px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._areascomunes.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._areascomunes__text.setAttribute('style',hs);
		this._areascomunes__text.innerHTML="<b>SLEEPING<\/b>";
		this._areascomunes.appendChild(this._areascomunes__text);
		this._areascomunes.onclick=function () {
			flag=(me._menu11.style.visibility=='hidden');
			me._menu11.style[domTransition]='none';
			me._menu11.style.visibility=flag?'inherit':'hidden';
			me._menu11.ggVisible=flag;
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
		}
		this._menu11.appendChild(this._areascomunes);
		this._menuhtml5dos.appendChild(this._menu11);
		this._menu1=document.createElement('div');
		this._menu1.ggId="menu1";
		this._menu1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu1.ggVisible=false;
		this._menu1.className='ggskin ggskin_container';
		this._menu1.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 15px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._menu1.setAttribute('style',hs);
		this._fondo=document.createElement('div');
		this._fondo.ggId="fondo";
		this._fondo.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fondo.ggVisible=true;
		this._fondo.className='ggskin ggskin_rectangle';
		this._fondo.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 0px solid #000000;';
		this._fondo.setAttribute('style',hs);
		this._menu1.appendChild(this._fondo);
		this._menucommonareas=document.createElement('div');
		this._menucommonareas__text=document.createElement('div');
		this._menucommonareas.className='ggskin ggskin_textdiv';
		this._menucommonareas.ggTextDiv=this._menucommonareas__text;
		this._menucommonareas.ggId="menuCommonAreas";
		this._menucommonareas.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menucommonareas.ggVisible=true;
		this._menucommonareas.className='ggskin ggskin_text';
		this._menucommonareas.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  65px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menucommonareas.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menucommonareas__text.setAttribute('style',hs);
		this._menucommonareas__text.innerHTML="<b>Common Areas<\/b>";
		this._menucommonareas.appendChild(this._menucommonareas__text);
		this._menucommonareas.onclick=function () {
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
			flag=(me._menu14.style.visibility=='hidden');
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility=flag?'inherit':'hidden';
			me._menu14.ggVisible=flag;
		}
		this._menu1.appendChild(this._menucommonareas);
		this._menuspa=document.createElement('div');
		this._menuspa__text=document.createElement('div');
		this._menuspa.className='ggskin ggskin_textdiv';
		this._menuspa.ggTextDiv=this._menuspa__text;
		this._menuspa.ggId="menuSpa";
		this._menuspa.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menuspa.ggVisible=true;
		this._menuspa.className='ggskin ggskin_text';
		this._menuspa.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  45px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menuspa.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menuspa__text.setAttribute('style',hs);
		this._menuspa__text.innerHTML="<b>Spa Imagine<\/b>";
		this._menuspa.appendChild(this._menuspa__text);
		this._menuspa.onclick=function () {
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
			flag=(me._menu13.style.visibility=='hidden');
			me._menu13.style[domTransition]='none';
			me._menu13.style.visibility=flag?'inherit':'hidden';
			me._menu13.ggVisible=flag;
		}
		this._menu1.appendChild(this._menuspa);
		this._menuflavors=document.createElement('div');
		this._menuflavors__text=document.createElement('div');
		this._menuflavors.className='ggskin ggskin_textdiv';
		this._menuflavors.ggTextDiv=this._menuflavors__text;
		this._menuflavors.ggId="menuFlavors";
		this._menuflavors.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menuflavors.ggVisible=true;
		this._menuflavors.className='ggskin ggskin_text';
		this._menuflavors.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  25px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menuflavors.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menuflavors__text.setAttribute('style',hs);
		this._menuflavors__text.innerHTML="<b>Flavors<\/b>";
		this._menuflavors.appendChild(this._menuflavors__text);
		this._menuflavors.onclick=function () {
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
			flag=(me._menu12.style.visibility=='hidden');
			me._menu12.style[domTransition]='none';
			me._menu12.style.visibility=flag?'inherit':'hidden';
			me._menu12.ggVisible=flag;
		}
		this._menu1.appendChild(this._menuflavors);
		this._menusleeping=document.createElement('div');
		this._menusleeping__text=document.createElement('div');
		this._menusleeping.className='ggskin ggskin_textdiv';
		this._menusleeping.ggTextDiv=this._menusleeping__text;
		this._menusleeping.ggId="menuSleeping";
		this._menusleeping.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menusleeping.ggVisible=true;
		this._menusleeping.className='ggskin ggskin_text';
		this._menusleeping.ggType='text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  5px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menusleeping.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='background: #ad9770;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menusleeping__text.setAttribute('style',hs);
		this._menusleeping__text.innerHTML="<b>Sleeping<\/b>";
		this._menusleeping.appendChild(this._menusleeping__text);
		this._menusleeping.onclick=function () {
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
			flag=(me._menu11.style.visibility=='hidden');
			me._menu11.style[domTransition]='none';
			me._menu11.style.visibility=flag?'inherit':'hidden';
			me._menu11.ggVisible=flag;
		}
		this._menu1.appendChild(this._menusleeping);
		this._menuhtml5dos.appendChild(this._menu1);
		this._fondomenu=document.createElement('div');
		this._fondomenu.ggId="fondoMenu";
		this._fondomenu.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fondomenu.ggVisible=true;
		this._fondomenu.className='ggskin ggskin_rectangle';
		this._fondomenu.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 199px;';
		hs+='height: 134px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0.005;';
		hs+='visibility: inherit;';
		hs+='background: #ad9770;';
		hs+='border: 1px solid #000000;';
		this._fondomenu.setAttribute('style',hs);
		this._fondomenu.onclick=function () {
			me._fondomenu.style[domTransition]='none';
			me._fondomenu.style.visibility='hidden';
			me._fondomenu.ggVisible=false;
			flag=(me._menu1.style.visibility=='hidden');
			me._menu1.style[domTransition]='none';
			me._menu1.style.visibility=flag?'inherit':'hidden';
			me._menu1.ggVisible=flag;
			me._menu11.style[domTransition]='none';
			me._menu11.style.visibility='hidden';
			me._menu11.ggVisible=false;
			me._menu12.style[domTransition]='none';
			me._menu12.style.visibility='hidden';
			me._menu12.ggVisible=false;
			me._menu13.style[domTransition]='none';
			me._menu13.style.visibility='hidden';
			me._menu13.ggVisible=false;
			me._menu14.style[domTransition]='none';
			me._menu14.style.visibility='hidden';
			me._menu14.ggVisible=false;
		}
		this._menuhtml5dos.appendChild(this._fondomenu);
		this.divSkin.appendChild(this._menuhtml5dos);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._preloader.style[domTransition]='none';
			me._preloader.style.visibility='hidden';
			me._preloader.ggVisible=false;
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		this._loading_text.ggUpdateText();
		var hs='';
		if (me._loading_bar.ggParameter) {
			hs+=parameterToTransform(me._loading_bar.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loading_bar.style[domTransform]=hs;
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId="diana";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 497px;';
			hs+='top:  234px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.player.openUrl(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._etiqueta=document.createElement('div');
			this._etiqueta__text=document.createElement('div');
			this._etiqueta.className='ggskin ggskin_textdiv';
			this._etiqueta.ggTextDiv=this._etiqueta__text;
			this._etiqueta.ggId="etiqueta";
			this._etiqueta.ggParameter={ rx:0,ry:0,a:0,sx:0.9,sy:0.9 };
			this._etiqueta.ggVisible=true;
			this._etiqueta.className='ggskin ggskin_text';
			this._etiqueta.ggType='text';
			this._etiqueta.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=(0 + (99-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -50px;';
			hs+='top:  30px;';
			hs+='width: 97px;';
			hs+='height: 19px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._etiqueta.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._etiqueta.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='background: #84754e;';
			hs+='border: 1px solid #ffffff;';
			hs+='color: #ffffff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._etiqueta__text.setAttribute('style',hs);
			this._etiqueta__text.innerHTML="&nbsp;<b>"+me.hotspot.title+"<\/b> &nbsp;";
			this._etiqueta.appendChild(this._etiqueta__text);
			this.__div.appendChild(this._etiqueta);
			this._logohotpsot=document.createElement('div');
			this._logohotpsot.ggId="logoHotpsot";
			this._logohotpsot.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._logohotpsot.ggVisible=true;
			this._logohotpsot.className='ggskin ggskin_image';
			this._logohotpsot.ggType='image';
			hs ='position:absolute;';
			hs+='left: -24px;';
			hs+='top:  -25px;';
			hs+='width: 50px;';
			hs+='height: 49px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._logohotpsot.setAttribute('style',hs);
			this._logohotpsot__img=document.createElement('img');
			this._logohotpsot__img.className='ggskin ggskin_image';
			this._logohotpsot__img.setAttribute('src',basePath + 'images/logohotpsot.png');
			this._logohotpsot__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._logohotpsot__img.className='ggskin ggskin_image';
			this._logohotpsot__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._logohotpsot__img);
			this._logohotpsot.appendChild(this._logohotpsot__img);
			this.__div.appendChild(this._logohotpsot);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};